- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
libabw::ABWInsertTextElement Class Reference
Inheritance diagram for libabw::ABWInsertTextElement:

## Public Member Functions
| ABWInsertTextElement (const librevenge::RVNGString &text)
| ~ABWInsertTextElement ()
void | write (librevenge::RVNGTextInterface *iface, const std::map< int, std::list< ABWOutputElement * > > *footers, const std::map< int, std::list< ABWOutputElement * > > *headers) const
ABWOutputElement * | clone ()
Public Member Functions inherited from libabw::ABWOutputElement
| ABWOutputElement ()
virtual | ~ABWOutputElement ()

## Private Attributes
librevenge::RVNGString | m_text

## Constructor & Destructor Documentation

libabw::ABWInsertTextElement::ABWInsertTextElement | ( | const librevenge::RVNGString & | text | ) |
| inline

Referenced by clone().

libabw::ABWInsertTextElement::~ABWInsertTextElement | ( |  | ) |
| inline

## Member Function Documentation

ABWOutputElement* libabw::ABWInsertTextElement::clone | ( |  | ) |
| inline

void libabw::ABWInsertTextElement::write | ( | librevenge::RVNGTextInterface * | iface,
|  | const std::map< int, std::list< ABWOutputElement * > > * | footers,
|  | const std::map< int, std::list< ABWOutputElement * > > * | headers
| ) |  | const
| virtual

Implements libabw::ABWOutputElement.

## Member Data Documentation

librevenge::RVNGString libabw::ABWInsertTextElement::m_text
| private

Referenced by clone().

The documentation for this class was generated from the following file:

- ABWOutputElements.cpp